## ros-melodic-automotive-platform-msgs 3.0.4

=== CMakeLists.txt ===
project(automotive_platform_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "AdaptiveCruiseControlCommand.msg"
  "AdaptiveCruiseControlSettings.msg"
  "BlindSpotIndicators.msg"
  "BrakeCommand.msg"
  "BrakeFeedback.msg"
  "CabinReport.msg"
  "CurvatureFeedback.msg"
  "DriverCommands.msg"
  "GearCommand.msg"
  "GearFeedback.msg"
  "Gear.msg"
  "HillStartAssist.msg"
  "SpeedPedals.msg"
  "SpeedMode.msg"
  "Speed.msg"
  "SteeringCommand.msg"
  "Steer.msg"
  "SteeringFeedback.msg"
  "SteerMode.msg"
  "SteerWheel.msg"
  "ThrottleCommand.msg"
  "ThrottleFeedback.msg"
  "TurnSignalCommand.msg"
  "UserInputADAS.msg"
  "UserInputMedia.msg"
  "UserInputMenus.msg"
  "VelocityAccel.msg"
  "VelocityAccelCov.msg"
)

if(${ROS_VERSION} EQUAL 1)
  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  ## Declare a catkin package
  catkin_package(CATKIN_DEPENDS message_runtime)

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-melodic-automotive-platform-msgs (3.0.4-1stretch) stretch; urgency=high

  * Change VelocityAccel comment from lateral to longitudinal, also remove trailing whitespace from all messages (#23 <https://github.com/astuff/automotive_autonomy_msgs/issues/23>)
  * Change velocity comment from lateral to longitudinal (#21 <https://github.com/astuff/automotive_autonomy_msgs/issues/21>)
  * Fix package.xml website URL (#19 <https://github.com/astuff/automotive_autonomy_msgs/issues/19>)
  * Contributors: Jacob Perron, icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 21 Oct 2020 04:00:00 -0000

ros-melodic-automotive-platform-msgs (3.0.3-1stretch) stretch; urgency=high

  * Add find_package for ros_environment.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 31 Dec 2019 05:00:00 -0000

ros-melodic-automotive-platform-msgs (3.0.2-1stretch) stretch; urgency=high

  * Adding missing dependency on ros_environment.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 19 Dec 2019 05:00:00 -0000

ros-melodic-automotive-platform-msgs (3.0.1-1stretch) stretch; urgency=high

  * Merge pull request #15 <https://github.com/astuff/automotive_autonomy_msgs/issues/15> from astuff/maint/ros1_ros2_hybrid
    ROS1/ROS2 Hybrid Packages
  * Fixing XML linting errors.
  * Making all messages ROS2-compliant.
  * Hybridizing all packages.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 12 Dec 2019 05:00:00 -0000

ros-melodic-automotive-platform-msgs (2.0.3-1stretch) stretch; urgency=high

  * Merge pull request #13 <https://github.com/astuff/automotive_autonomy_msgs/issues/13> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Joshua Whitley, Rinda Gunjala

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-melodic-automotive-platform-msgs (2.0.2-1stretch) stretch; urgency=high

  * Reorganized messages under new package names.
  * Changed package name from platform_comm_msgs to automotive_platform_msgs.
  * Fixing license in package.xml.
  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Version bump and minor formatting clean-up.
  * Moving VelocityAccel to module_comm_msgs.
  * Major package reorganization. See README for new package definitions.
  * Contributors: Daniel Stanek, Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 07 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-automotive-platform-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-ros-environment, ros-melodic-std-msgs
Homepage: http://github.com/astuff/automotive_platform_msgs
Standards-Version: 3.9.2

Package: ros-melodic-automotive-platform-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Generic Messages for Communication with an Automotive Autonomous Platform

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-automotive-platform-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
